Subject: [TR] Fuel cost - for fun?

From: John Macartney <[email-masked]>
Date: Tue, 12 May 2026 20:38:56 +0100

My iPad news feed tells me lots of people in the US are getting ‘rather agitated’ and ‘a bit miffed’ at gasoline prices hitting the USD4.50 per US gallon. 

So?

I went to fill up our daily driver today (Kia Sportage hybrid) and arriving at the supermarket, saw that 95 octane E10 unleaded has gone up yet again, so a part-refill was soon decided.

 For comparative purposes, the equivalent cost in USDs using UK prices is this. Our fuel is sold now only in litres and no longer imperial gallons as heretofore.

One US gallon is equal to 3.785 litres.
One litre here costs GBP 1.59 per litre
One US gallon in GB pounds is 3.785x1.59 = GBP6.02
Multiply the GBP6.02 by 1.35 to turn them into USDs and the figure is USD8.127 per US gallon price in the UK. Europe isn’t too much different either.

Basically, double what our ‘a bit miffed’ enthusiast friends are paying on t’other side o’t pond, so count your blessings, friends.

 It broke my heart when I sold my two Triumph Big Sixes some years ago but if I’d kept them, as sure as hell I’d no longer be able to afford keeping them to enjoy their continued and delightful use. Perhaps those who paid me a lot less than either was worth at the time, are now limited in only being able to look at them and making brrrmmm brrrmmm noises sitting in the driving seat. I hope so. The only good news coming out of this chaotic international bloody mess both at home and abroad is the Hybrid Kia Sportage with part time electric power and regenerative braking is still giving us 57mpg on mixed rural and urban use. Being very gentle, 61-63mpg is also available - but for how much longer?

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]